
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>充分利用 .NET 框架的 PropertyGrid 控件(微软)之八 / iVAN</title>

    <meta name="description" content="充分利用 .NET 框架的 PropertyGrid 控件(微软)之八 控件|微软 添加域列表和简单的下拉列表属性支持对于基于 Enum 类型返回枚举的属性,PropertyGrid 会自动在下拉列表中显示枚举值.EnumConverter 也提供了这一功能.对于自己的属性,您可能希望为用户提供一个有效值列表(有时也称为选取列表或域列表),而其类型并不是基于 Enum.如果域值在运行时之前未知,或者值可以更改,则属于这种情况. 修改选项窗口,提供一个用户可从中选择的默认文件名的域列表.您已经将 DefaultFileName 属性添加到 AppSettings 类.">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">充分利用 .NET 框架的 PropertyGrid 控件(微软)之八</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>控件|微软</p>
<p>添加域列表和简单的下拉列表属性支持<br />对于基于 Enum 类型返回枚举的属性，PropertyGrid 会自动在下拉列表中显示枚举值。EnumConverter 也提供了这一功能。对于自己的属性，您可能希望为用户提供一个有效值列表（有时也称为选取列表或域列表），而其类型并不是基于 Enum。如果域值在运行时之前未知，或者值可以更改，则属于这种情况。</p>
<p>修改选项窗口，提供一个用户可从中选择的默认文件名的域列表。您已经将 DefaultFileName 属性添加到 AppSettings 类。下一步是在 PropertyGrid 中显示属性的下拉列表，以提供域列表。</p>
<p>提供简单的下拉列表属性支持<br />创建一个从类型转换器类继承而来的类。由于 DefaultFileName 属性属于 String 类型，因此可以从 StringConverter 中继承。如果属性类型的类型转换器不存在，则可以从 TypeConverter 继承；这里并不需要。<br />' Visual Basic</p>
<p>Public Class FileNameConverter<br />    Inherits StringConverter<br />End Class</p>
<p>覆盖 GetStandardValuesSupported 方法并返回 true，表示此对象支持可以从列表中选取的一组标准值。<br />' Visual Basic</p>
<p>Public Overloads Overrides Function GetStandardValuesSupported( _<br />                    ByVal context As ITypeDescriptorContext) As Boolean<br />    Return True<br />End Function</p>
<p>覆盖 GetStandardValues 方法并返回填充了标准值的 StandardValuesCollection。创建 StandardValuesCollection 的方法之一是在构造函数中提供一个值数组。对于选项窗口应用程序，您可以使用填充了建议的默认文件名的 String 数组。<br />' Visual Basic</p>
<p>Public Overloads Overrides Function GetStandardValues( _<br />                     ByVal context As ITypeDescriptorContext) _<br />                  As StandardValuesCollection</p>
<p>    Return New StandardValuesCollection(New String() {"新文件", _<br />                                                      "文件1", _<br />                                                      "文档1"})<br />End Function</p>
<p>（可选）如果希望用户能够键入下拉列表中没有包含的值，请覆盖 GetStandardValuesExclusive 方法并返回 false。这从根本上将下拉列表样式变成了组合框样式。<br />' Visual Basic</p>
<p>Public Overloads Overrides Function GetStandardValuesExclusive( _<br />               ByVal context As ITypeDescriptorContext) As Boolean<br />    Return False<br />End Function</p>
<p>拥有自己的用于显示下拉列表的类型转换器类后，您需要确定使用该类的目标。在本示例中，目标为 DefaultFileName 属性，因为类型转换器是针对该属性的。将 TypeConverterAttribute 应用到目标属性中。<br />' Visual Basic</p>
<p>' 应用到 DefaultFileName 属性的 TypeConverter 特性。<br />&lt;TypeConverter(GetType(FileNameConverter)), _<br /> CategoryAttribute("文档设置")&gt; _<br />Public Property DefaultFileName() As String<br />    Get<br />        Return _defaultFileName<br />    End Get<br />    Set(ByVal Value As String)<br />        _defaultFileName = Value<br />    End Set<br />End Property</p>
<p>再次编译并运行选项窗口应用程序。下面的屏幕快照显示了选项窗口目前的外观。请注意 DefaultFileName 属性的外观。</p>
<p>图 7：在 PropertyGrid 中显示下拉域列表</p>
<p>为属性提供自定义 UI<br />如上所述，.NET 框架类型使用 TypeConverter 和 UITypeEditor 类（以及其他类）来提供 PropertyGrid 编辑支持。有关如何使用 TypeConverter，请参阅对自定义类型的支持一节；您也可以使用 UITypeEditor 类来自定义 PropertyGrid。</p>
<p>您可以在 PropertyGrid 中提供小图形表示和属性值，类似于为 Image 和 Color 类提供的内容。要在自定义中执行此操作，请从 UITypeEditor 继承，覆盖 GetPaintValueSupported 并返回 true。然后，覆盖 UITypeEditor.PaintValue 方法，并在自己的方法中使用 PaintValueEventArgs.Graphics 参数绘制图形。最后，将 Editor 特性应用到使用 UITypeEditor 类的类或属性。</p>
<p>下面的屏幕快照显示了结果外观。</p>
<p>图 8：在 PropertyGrid 中显示属性的自定义图形</p>
<p>您也可以提供自己的下拉列表控件，这与 Control.Dock 属性用来为用户提供靠接选择的控件类似。要执行此操作，请从 UITypeEditor 继承，覆盖 GetEditStyle，然后返回一个 UITypeEditorEditStyle 枚举值，例如 DropDown。您的自定义下拉列表控件必须从 Control 或 Control 的派生类（例如 UserControl）继承而来。然后，覆盖 UITypeEditor.EditValue 方法。使用 IServiceProvider 参数调用 IServiceProvider.GetService 方法，以获取一个 IWindowsFormsEditorService 实例。最后，调用 IWindowsFormsEditorService.DropDownControl 方法来显示您的自定义下拉列表控件。请记住将 Editor 特性应用到使用 UITypeEditor 类的类或属性中。</p>
<p>下面的屏幕快照显示了结果外观。</p>
<p>图 9：在 PropertyGrid 中显示属性的自定义下拉列表控件</p>
<p>除了使用 TypeEditor 和 UITypeEditor 类外，还可以自定义 PropertyGrid 以显示其他属性选项卡。属性选项卡从 PropertyTab 类继承而来。如果您使用过 Microsoft Visual C# .NET 中的属性浏览器，那么就可能看到过自定义的 PropertyTab。Events 选项卡（带有闪电图形的按钮）就是一个自定义的 PropertyTab。下面的屏幕快照显示了自定义 PropertyTab 的另一个示例。可以使用 PropertyTab 编辑按钮的边界点，以创建自定义的按钮形状。</p>
<p>图 10：在 PropertyGrid 中显示自定义选项卡</p>
<p>有关使用 UITypeEditor 类自定义 PropertyGrid 的详细信息，以及上述自定义用户界面代码示例，请参阅 Shawn Burke 的文章 Make Your Components Really RAD with Visual Studio .NET Property Browser（英文）。</p>
<p>小结<br />.NET 框架提供的 ProperyGrid 控件具有丰富的编辑功能，您可以使用这些编辑功能来改善您的用户界面。PropertyGrid 的自定义非常简单，您可以在任何应用程序中使用这一控件。此外，由于 Visual Studio .NET 属性浏览器是建立在 PropertyGrid 的基础之上的，因此您可以使用这些技术提供更丰富的设计时体验。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 13:30:03</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%b9%e6%b3%95/" title="方法">方法</a>, <a href="https://www.iamivan.net/tag/%e5%b1%9e%e6%80%a7/" title="属性">属性</a>, <a href="https://www.iamivan.net/tag/%e4%b8%8b%e6%8b%89/" title="下拉">下拉</a>, <a href="https://www.iamivan.net/tag/%e7%b1%bb%e5%9e%8b/" title="类型">类型</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a7%e4%bb%b6/" title="控件">控件</a>, <a href="https://www.iamivan.net/tag/propertygrid/" title="propertygrid">propertygrid</a>, <a href="https://www.iamivan.net/tag/propertygrid%e6%8e%a7%e4%bb%b6/" title="PropertyGrid控件">PropertyGrid控件</a>, <a href="https://www.iamivan.net/tag/propertygrid%ef%bc%8ccolor/" title="PropertyGrid，color">PropertyGrid，color</a>, <a href="https://www.iamivan.net/tag/%e8%87%aa%e5%ae%9a%e4%b9%89%e4%b8%8a%e6%8b%89%e4%b8%8b%e6%8b%89/" title="自定义上拉下拉">自定义上拉下拉</a>, <a href="https://www.iamivan.net/tag/%e8%87%aa%e5%ae%9a%e4%b9%89%e5%b1%9e%e6%80%a7%e5%80%bc/" title="自定义属性值">自定义属性值</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>充分利用 .NET 框架的 PropertyGrid 控件(微软)之八的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMq5GMm.html" rel="bookmark">充分利用 &period;NET 框架的 PropertyGrid 控件&lpar;微软&rpar;之二</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				控件|微软 创建 PropertyGrid 控件要使用 Visual Studio .NET 创建 PropertyGrid 控件,需要将该控件添加到工具箱中,因为默认情况下并不包含该控件.在 Tools(工具)菜单中,选择 Customize Toolbox(自定义工具箱).在对话框中选择 Framework Components(框架组件)选项卡,然后选择 PropertyGrid. 如果您从命令行编译代码,请使用 /reference 选项并指定 System.Windows.Forms.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/1Mv1q1b.html" rel="bookmark">充分利用 &period;NET 框架的 PropertyGrid 控件&lpar;微软&rpar;之七</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				控件|微软 使用此版本的选项窗口后,您会注意到以下几点: 显示窗口时,将首先突出显示 SaveOnClose 属性. 选中 MaxRepeatRate 属性时,说明帮助窗格中将显示&quot;以毫秒表示的文本重复率&quot;. SaveOnClose 属性显示在&quot;文档设置&quot;类别下.其他属性分别显示在&quot;全局设置&quot;和&quot;版本&quot;类别下. SettingsChanged 属性将不再显示. AppVersion 属性为只读.只读属性以灰显文本显示. 如果			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpnGOWz.html" rel="bookmark">充分利用 &period;NET 框架的 PropertyGrid 控件&lpar;微软&rpar;之六</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				控件|微软 更改属性的显示方式要更改某些属性的显示方式,您可以对这些属性应用不同的特性.特性是用于为类型.字段.方法和属性等编程元素添加批注的声明标记,在运行时可以使用反射对其进行检索.下面列出了其中的一部分: DescriptionAttribute - 设置显示在属性下方说明帮助窗格中的属性文本.这是一种为活动属性(即具有焦点的属性)提供帮助文本的有效方法.可以将此特性应用于 MaxRepeatRate 属性. CategoryAttribute - 设置属性在网格中所属的类别.当您需要将属			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMleWqp.html" rel="bookmark">充分利用 &period;NET 框架的 PropertyGrid 控件&lpar;微软&rpar;之五</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				控件|微软 自定义 PropertyGrid 控件您可以修改 PropertyGrid 的某些外观特征以满足自己的需要.可以更改某些属性的显示方式,甚至选择不显示某些属性.那么,如何对 PropertyGrid 进行自定义呢? 更改 PropertyGrid 的外观特征PropertyGrid 的许多外观特征都可以自定义.下面列出了其中的一部分: 通过 HelpBackColor.HelpForeColor 和 HelpVisible 属性可以更改背景颜色.更改字体颜色或隐藏说明窗格. 通过 T			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/lpP3O0M.html" rel="bookmark">充分利用 &period;NET 框架的 PropertyGrid 控件&lpar;微软&rpar;之四</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				控件|微软 选择对象要标识 PropertyGrid 显示的内容,请将 PropertyGrid.SelectedObject 属性设置为一个对象实例.然后,PropertyGrid 将完成其余的工作.每次设置 SelectedObject 时,PropertyGrid 都会刷新显示的属性.这提供了一种简单的方法来强制刷新属性,或在运行时切换对象.您还可以调用 PropertyGrid.Refresh 方法来刷新属性. 接下来,您需要更新 OptionsDialog 构造函数中的代码,以创建一个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VMrO76p.html" rel="bookmark">充分利用 &period;NET 框架的 PropertyGrid 控件&lpar;微软&rpar;之三</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				控件|微软 何处使用 PropertyGrid 控件在应用程序中的很多地方,您都可以使用户与 PropertyGrid 进行交互,从而获得更丰富的编辑体验.例如,某个应用程序包含多个用户可以设置的&quot;设置&quot;或选项,其中一些可能十分复杂.您可以使用单选按钮.组合框或文本框来表示这些选项.但本文将逐步介绍如何使用 PropertyGrid 控件创建选项窗口来设置应用程序选项.上面所创建的 OptionsDialog 窗体即是选项窗口的开始.现在,我们创建一个名为 AppSettings 的类			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lp5566p.html" rel="bookmark">充分利用 &period;NET 框架的 PropertyGrid 控件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				控件 充分利用 .NET 框架的 PropertyGrid 控件Mark RideoutMicrosoft Corporation 摘要:本文旨在帮助您了解 Microsoft .NET 框架中的 PropertyGrid 控件,以及如何针对您的应用程序自定义该控件. 适用于: Microsoft .NET 框架 Microsoft Visual Studio .NET 目录PropertyGrid 控件简介创建 PropertyGrid 控件何处使用 PropertyGrid 控件选择对象自定			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vMNlqNz.html" rel="bookmark">改变 PropertyGrid 控件的编辑风格（1）&mdash;&mdash;加入日期控件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				控件 改变 PropertyGrid 控件的编辑风格(1)--加入日期控件   张昱e-zhangyu@vip.sina.com  效果: 适用场合: 编辑日期类型数据   步骤一:定义从UITypeEditor 派生的类,示例如下:   using System; using System.Windows.Forms; using System.Drawing.Design; using System.Windows.Forms.Design;   namespace blog.csdn.ne			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm6q9lz.html" rel="bookmark">PropertyGrid控件 分类（Category）及属性（Property）排序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近在做表单设计器,设计器上的控件都是我们自己封装的,但每个属性类别里的属性是按照属性的拼音排序的,现在想按照PropertyIndex标识进行排序(PropertyIndex的后三位是用来标识编辑器的). 具体实现如下: using System; using System.Collections.Generic; using System.Text; using System.Reflection; using System.ComponentModel; using HC.Test.Com			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPlolp.html" rel="bookmark" class="title">在SAE上部署Python的Django框架的一些问题汇总</a>
					<div>
						  这篇文章主要介绍了在SAE上部署Python的Django框架的一些问题汇总,SAE是新浪的一个在线APP部署平台,并且对Python应用提供相关支持,需要的朋友可以参考下 花了些工夫将碎片网部署 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyvwEp.html" rel="bookmark" class="title">预览office文件-如何通过免费的资源预览Office系列文件和PDF文件呢？</a>
					<div>
						问题描述 如何通过免费的资源预览Office系列文件和PDF文件呢? 在实现局域网内预览Office文件和PDF文件时遇到了问题,希望各位大牛能指导一下,先说声谢谢啦.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qba0aqz.html" rel="bookmark" class="title">IIS6下部署ASP&period;NET MVC应用程序</a>
					<div>
						通常在IIS6下部署ASP.NET MVC应用程序的时候,都是直接设置把所有请求都交由ASP.NET的ISAPI处理.MVC是基于ASP.NET的,框架默认对于任何请求都会优先检查物理路径是否存在物理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrK8yjp.html" rel="bookmark" class="title">MySQL中优化sql语句查询常用的30种方法</a>
					<div>
						本篇文章是对MySQL中优化sql语句查询常用的30种方法进行了详细的分析介绍,需要的朋友参考下   1.对查询进行优化,应尽量避免全表扫描,首先应考虑在 where 及 order by 涉及的列上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlonkb.html" rel="bookmark" class="title">手把手教你打造宏大梦幻的玫瑰女孩</a>
					<div>
						  杰伦的世纪婚礼刚过,咱们也跟着来一篇应景的教程,学会后分分钟出婚礼大片效果,画面壮阔宏大,透视的创意运用让视觉冲击感异常强烈,非常值得学起来的一个技能,界面全中文. 效果图 素材打包 微盘下载 新 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBlRlb.html" rel="bookmark" class="title">淘宝前端工程师：国内前端行业10日谈</a>
					<div>
						一直想写这篇&quot;十日谈&quot;,聊聊我对Web前端开发的体会,顺便解答下周围不少人的困惑和迷惘.我不打算聊太多技术,我想,通过技术的历练,得到的反思应当更重要. 我一直认为自己是&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOr7Bb.html" rel="bookmark" class="title">瞬间致胜&mdash;&mdash;活动专题页信息表达法则</a>
					<div>
						每逢节假日各种运营推广活动如星云般涌现,在众多活动中如何让你的活动页设计脱颖而出,在最短时间内hold住用户脚步.下面我们一起看一下活动页信息展示法则,帮助你的活动页提升瞬间杀伤力. 一.重要信息突出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42N7qM.html" rel="bookmark" class="title">PS教你制作非主流完美睫毛</a>
					<div>
						原图 最终效果图 睫毛制作方法: 1.打开PS软件把照片打开,把颜色设置成黑色,点画笔工具.在照片上点右键,弹出选项框点右上角箭头弹出选项表,选择载入画笔. 2.在弹出的对话框中选择眼睫毛笔刷载入即可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywWRvz.html" rel="bookmark" class="title">Word文档中的数字和字母怎么替换成新罗马字体</a>
					<div>
						  普通方法之修改数字字体 1.打开需要修改数字和字母的Word文档,选择文档中的菜单栏中的&quot;开始&quot;,大家先行确认一下,看有没有在&quot;开始&quot;功能中. 2.然后点击 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRgllp.html" rel="bookmark" class="title">windows上安装iis详细步骤</a>
					<div>
						  xp上安装iis之后,通过 Internet信息服务-&gt;右键默认网站-&gt;属性-&gt;主目录-&gt;设置本地路径,指定一个服务器的根目录; 此时我在根目录里面放置一些项目和html页 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EGrvM.html" rel="bookmark" class="title">OS X用户必学 教你快速切换3个计算器模式</a>
					<div>
						  第一眼看到 Mac 版的原生计算器应用,你可能会觉得这款计算器功能十分单一,但实际上它还内置了另外两个计算器模式,分别是科学型计算器和编程器计算器. 要转换 Mac 版计算器的模式,首先要打开计算 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3GeOM.html" rel="bookmark" class="title">java-为什么每个activity都要在 androidmanifest文件中声明</a>
					<div>
						问题描述 为什么每个activity都要在 androidmanifest文件中声明 为什么每个activity都要在 androidmanifest文件中声明,这么设计有什么其他用处 解决方案 我们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYNVZM.html" rel="bookmark" class="title">Android新浪微博下拉刷新&lpar;最新消息显示在最上面&rpar;&lowbar;Android</a>
					<div>
						查看最新消息要用到类似新浪微博下拉刷新 功能!把最新的消息显示在最上面! 代码如下: PullToRefreshListView类代码 复制代码 代码如下: package com.markupart ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YQ9AM.html" rel="bookmark" class="title">学C&plus;&plus;的个 个人纪录</a>
					<div>
						include define ADD(x,y),(x)+(y) void main() { int a(8),(4); int sum=ADD(a+2,b-3); cout&lt;&lt;&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6N7GYM.html" rel="bookmark" class="title">&lbrack;译&rsqb;iOS 开发中使用 Swift 进行 iBeacons 交互指南</a>
					<div>
						本文讲的是[译]iOS 开发中使用 Swift 进行 iBeacons 交互指南, 原文地址:A Guide to Interacting with iBeacons in iOS using Swi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRD9Kqz.html" rel="bookmark" class="title">怎么用 C&num; 锁定 mysql 表</a>
					<div>
						问题描述 LOCKTABLEStbl_nameWRITE执行代码:StringmysqlStr=&quot;Database=test;DataSource=localhost;UserId=root ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRamYp.html" rel="bookmark" class="title">Cocos开发中性能优化工具介绍之使用Windows任务管理器</a>
					<div>
						说到Windows平台我们很快就想到了Visual Studio 2012然而Visual Studio 2012在这方面没有很好的工具.如果我们只是想知道大体上内存.CPU等在某一事件前后变化情况我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RmPAz.html" rel="bookmark" class="title">聊聊运营人才招聘多年来的几点感想</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 倒腾人才网站到现在也算是有不少的年 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJA684p.html" rel="bookmark" class="title">清空购物车不可怕，黑客想清空 ATM 机：来，乖乖吐钱</a>
					<div>
						能力越大,作恶后果就越可怕. 雷锋网说的当然不是爱剁手的女人,而是比清空购物车更可怕的清空 ATM 机. 两年前,卡巴斯基发现了一款新型恶意软件,可直接从 ATM 机上盗取资金,至少有 140 家银行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLJ0Vp.html" rel="bookmark" class="title">叶伟伦：亚马逊&OpenCurlyDoubleQuote;全球开店&rdquo;中国卖家数量增加196&percnt;</a>
					<div>
						 [亿邦动力网讯]9月16日消息,亚马逊中国副总裁叶伟伦在亚马逊中国举办的&quot;全球开店&quot;卖家研讨会上透露,2013年,亚马逊&quot;全球开店&quot;中国卖家数量增加了196% ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M945W4b.html" rel="bookmark" class="title">数字时代的著作权体系</a>
					<div>
						美国开国元勋杰弗逊对办报纸情有独钟,在他看来,世间可以有没有政府的报纸,但绝不能有没有报纸的政府.不过,这位报人(也是总统)在一封给友人的信中,提到这样一句后来成了流传到后世的名言:点燃蜡烛照亮他人者 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRBm3b.html" rel="bookmark" class="title">spring定时器怎么设置</a>
					<div>
						问题描述 spring定时器怎么设置 spring定时器怎么设置为每半个小时触发一次,急急急,求大神告知 解决方案 接上一篇 : 0/5 * * * * ? ? ------------设置定义定时器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBwvDb.html" rel="bookmark" class="title">php使用cookie保存用户登录的用户名实例&lowbar;php技巧</a>
					<div>
						本文实例讲述了php使用cookie保存用户登录的用户名的方法.分享给大家供大家参考.具体实现方法如下: 用户登录文件:login.php 复制代码 代码如下: &lt;html&gt; &lt;he ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodR5dM.html" rel="bookmark" class="title">大小写转换</a>
					<div>
						原文:大小写转换 using System.Text.RegularExpressions;     string s = (12345678901234567890.123456789).ToStr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX00kyp.html" rel="bookmark" class="title">OpenCV入门：显示图像</a>
					<div>
						         OpenCV为我们提供了都区各种图像文件的功能,本节利用OpenCV显示出一幅图像.先上源代码: // main.cpp // Display_Image // // Created ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwJvVM.html" rel="bookmark" class="title">用SAP All-in-One取代Sage中型项目</a>
					<div>
						积极的增长计划和食品药品管理局的规定为Med-Health公司提出了ERP软件的一些严格的要求.该公司原来的供应商不能满足这些要求. 当Med-Health原来为其三个新的业务部门选择http://w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjqyZM.html" rel="bookmark" class="title">芯片厂商竞逐智能汽车 安全短板成拦路虎</a>
					<div>
						智能汽车概念的兴起,为芯片厂商的突围提供了新的方向.在近日的2015年CES展会上,芯片厂商对于智能汽车的热情展露无遗.英伟达CEO黄仁勋揭晓了该公司最新Nvidia Drive CX车载系统.自动驾 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0aQ5p.html" rel="bookmark" class="title">代码-安卓利用shell 控制飞行模式或禁用或启用手机卡</a>
					<div>
						问题描述 安卓利用shell 控制飞行模式或禁用或启用手机卡 如何使用 安卓利用shell 控制飞行模式或禁用或启用手机卡 听说4.2以后的安卓系统权限提升了,飞行模式用代码都不能控制了! 大神些帮帮 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmgR6z.html" rel="bookmark" class="title">mysql错误initialize specified but the data</a>
					<div>
						问题描述 mysql错误initialize specified but the data 我用的mysql5.7.12版本,安装时在mysqld --initialize的时候出现了--initia ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8NjAb.html" rel="bookmark" class="title">J2ME的TextField在&OpenCurlyDoubleQuote;设置&rdquo;如何实现：按&OpenCurlyDoubleQuote;确定键&rdquo;光标离开？</a>
					<div>
						问题描述 如题 解决方案 解决方案二:你指的是输入完字符之后,确定键焦点离开当前TextField控件吗?可以用setCurrentItem实现解决方案三:按楼上的试试					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
